Bounce2: Button Class Reference

Bounce2

Public Member Functions | Protected Attributes | List of all members
Button Class Reference

The Debouncer:Bounce:Button class. The Button class matches an electrical state to a physical action. More...

`#include <Bounce2.h>`

Inheritance diagram for Button:

## Public Member Functions
| Button ()
| Create an instance of the Button class. By default, the pressed state is matched to a HIGH electrical level. More...
void | setPressedState (bool state)
| Set the electrical state (HIGH/LOW) that corresponds to a physical press. By default, the pressed state is matched to a HIGH electrical level. More...
bool | pressed ()
| Returns true if the button was physically pressed.
bool | released ()
| Returns true if the button was physically released.
Public Member Functions inherited from Bounce
| Bounce ()
| Create an instance of the Bounce class. More...
void | attach (int pin, int mode)
| Attach to a pin and sets that pin's mode (INPUT, INPUT_PULLUP or OUTPUT). More...
void | attach (int pin)
| Bounce (uint8_t pin, unsigned long interval_millis)
bool | risingEdge ()
| Deprecated (i.e. do not use). Included for partial compatibility for programs written with Bounce version 1.
bool | fallingEdge ()
| Deprecated (i.e. do not use). Included for partial compatibility for programs written with Bounce version 1.
Public Member Functions inherited from Debouncer
| Debouncer ()
| Create an instance of the Debounce class. More...
void | interval (uint16_t interval_millis)
| Sets the debounce interval in milliseconds. More...
bool | update ()
| Updates the pin's state. More...
bool | read ()
| Returns the pin's state (HIGH or LOW). More...
bool | fell ()
| Returns true if pin signal transitions from high to low.
bool | rose ()
| Returns true if pin signal transitions from low to high.
bool | changed ()
| Returns true if the state changed on last update. More...
unsigned long | duration ()
| Returns the duration in milliseconds of the current state. More...
unsigned long | previousDuration ()
| Returns the duration in milliseconds of the previous state. More...

## Protected Attributes
bool | stateForPressed = 1
Protected Attributes inherited from Bounce
uint8_t | pin
| Deprecated (i.e. do not use). Included for partial compatibility for programs written with Bounce version 1.
Protected Attributes inherited from Debouncer
unsigned long | previous_millis
uint16_t | interval_millis
uint8_t | state
unsigned long | stateChangeLastTime
unsigned long | durationOfPreviousState

## Additional Inherited Members
Protected Member Functions inherited from Bounce
virtual bool | readCurrentState ()
virtual void | setPinMode (int pin, int mode)
Protected Member Functions inherited from Debouncer
void | begin ()

## Detailed Description

The Debouncer:Bounce:Button class. The Button class matches an electrical state to a physical action.

## Constructor & Destructor Documentation

## ◆ Button()

Button::Button | ( |  | ) |
| inline

Create an instance of the Button class. By default, the pressed state is matched to a HIGH electrical level.

// Create an instance of the Button class.
Button() button;

## Member Function Documentation

## ◆ setPressedState()

void Button::setPressedState | ( | bool | state | ) |
| inline

Set the electrical state (HIGH/LOW) that corresponds to a physical press. By default, the pressed state is matched to a HIGH electrical level.

Parameters

  state | The electrical state (HIGH/LOW) that corresponds to a physical press.

The documentation for this class was generated from the following file:

- src/Bounce2.h